using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PowderCoating.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class UpdateQuoteForProspects : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<int>(
                name: "CustomerId",
                table: "Quotes",
                type: "int",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "int");

            migrationBuilder.AddColumn<string>(
                name: "ProspectAddress",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectCity",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectCompanyName",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectContactName",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectEmail",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectPhone",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectState",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProspectZipCode",
                table: "Quotes",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 1,
                column: "CreatedAt",
                value: new DateTime(2026, 2, 7, 3, 42, 43, 279, DateTimeKind.Utc).AddTicks(4915));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 2,
                column: "CreatedAt",
                value: new DateTime(2026, 2, 7, 3, 42, 43, 279, DateTimeKind.Utc).AddTicks(4919));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 3,
                column: "CreatedAt",
                value: new DateTime(2026, 2, 7, 3, 42, 43, 279, DateTimeKind.Utc).AddTicks(4921));
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ProspectAddress",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectCity",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectCompanyName",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectContactName",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectEmail",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectPhone",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectState",
                table: "Quotes");

            migrationBuilder.DropColumn(
                name: "ProspectZipCode",
                table: "Quotes");

            migrationBuilder.AlterColumn<int>(
                name: "CustomerId",
                table: "Quotes",
                type: "int",
                nullable: false,
                defaultValue: 0,
                oldClrType: typeof(int),
                oldType: "int",
                oldNullable: true);

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 1,
                column: "CreatedAt",
                value: new DateTime(2026, 2, 6, 21, 35, 23, 258, DateTimeKind.Utc).AddTicks(1715));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 2,
                column: "CreatedAt",
                value: new DateTime(2026, 2, 6, 21, 35, 23, 258, DateTimeKind.Utc).AddTicks(1722));

            migrationBuilder.UpdateData(
                table: "PricingTiers",
                keyColumn: "Id",
                keyValue: 3,
                column: "CreatedAt",
                value: new DateTime(2026, 2, 6, 21, 35, 23, 258, DateTimeKind.Utc).AddTicks(1724));
        }
    }
}
